Closed Bug 1562706 Opened 3 years ago Closed 1 year ago

Intermittent toolkit/content/tests/browser/browser_datetime_datepicker.js | application crashed [@ style::rule_tree::{{impl}}::drop(struct style::rule_tree::StrongRuleNode *)]

Categories

(Core :: CSS Parsing and Computation, defect, P3)

defect

Tracking

()

RESOLVED DUPLICATE of bug 1607553

People

(Reporter: intermittent-bug-filer, Unassigned)

References

Details

(Keywords: crash, intermittent-failure, regression)

Crash Data

Filed by: archaeopteryx [at] coole-files.de
Parsed log: https://treeherder.mozilla.org/logviewer.html#?job_id=252445085&repo=try
Full log: https://queue.taskcluster.net/v1/task/F0IGI6dVREmzeQ4iOiwFaQ/runs/0/artifacts/public/logs/live_backing.log


12:59:01 INFO - TEST-START | toolkit/content/tests/browser/browser_datetime_datepicker.js
12:59:01 INFO - GECKO(2036) | ++DOMWINDOW == 2 (000002BA78C72C00) [pid = 7764] [serial = 2] [outer = 000002BA78C78280]
12:59:01 INFO - GECKO(2036) | ++DOCSHELL 0000029280485800 == 1 [pid = 2320] [id = {dff98c22-33b2-4b86-8529-a061fd136afc}]
12:59:01 INFO - GECKO(2036) | ++DOMWINDOW == 7 (00000292837DA090) [pid = 2320] [serial = 137] [outer = 0000000000000000]
12:59:01 INFO - GECKO(2036) | [Child 2320, Main Thread] WARNING: No active window: file z:/build/build/src/js/xpconnect/src/XPCJSContext.cpp, line 662
12:59:01 INFO - GECKO(2036) | ++DOMWINDOW == 8 (000002928041C800) [pid = 2320] [serial = 138] [outer = 00000292837DA090]
12:59:01 INFO - GECKO(2036) | ++DOMWINDOW == 9 (0000029280423400) [pid = 2320] [serial = 139] [outer = 00000292837DA090]
12:59:01 INFO - GECKO(2036) | [Child 2320, Main Thread] WARNING: NS_ENSURE_SUCCESS(mStatus, this) failed with result 0x80004005: file z:/build/build/src/obj-firefox/dist/include\nsIURIMutator.h, line 489
12:59:02 INFO - GECKO(2036) | ++DOCSHELL 0000019F4CA94800 == 11 [pid = 8472] [id = {bee7a8b9-bd2a-4936-9b47-fc37adade74e}]
12:59:02 INFO - GECKO(2036) | ++DOMWINDOW == 33 (0000019F4AADE010) [pid = 8472] [serial = 42] [outer = 0000000000000000]
12:59:02 INFO - GECKO(2036) | ++DOMWINDOW == 34 (0000019F4B6D1000) [pid = 8472] [serial = 43] [outer = 0000019F4AADE010]
12:59:02 INFO - GECKO(2036) | [Parent 8472, Main Thread] WARNING: Failed to open external DTD: publicId "-//W3C//DTD XHTML 1.0 Strict//EN" systemId "DTD/xhtml1-strict.dtd" base "chrome://global/content/datepicker.xhtml" URL "chrome://global/content/DTD/xhtml1-strict.dtd": file z:/build/build/src/parser/htmlparser/nsExpatDriver.cpp, line 554
12:59:02 INFO - GECKO(2036) | [Child 7764, Main Thread] WARNING: No active window: file z:/build/build/src/js/xpconnect/src/XPCJSContext.cpp, line 662
12:59:02 INFO - GECKO(2036) | ++DOCSHELL 0000020C04A81000 == 1 [pid = 9668] [id = {a2f611ec-aa81-4a4f-b9a4-9f0bd2e54371}]
12:59:02 INFO - GECKO(2036) | ++DOMWINDOW == 1 (0000020C7FF85280) [pid = 9668] [serial = 6] [outer = 0000000000000000]
12:59:02 INFO - GECKO(2036) | ++DOMWINDOW == 2 (0000020C04A4A800) [pid = 9668] [serial = 7] [outer = 0000020C7FF85280]
12:59:02 INFO - GECKO(2036) | ++DOMWINDOW == 3 (0000020C04A4EC00) [pid = 9668] [serial = 8] [outer = 0000020C7FF85280]
12:59:02 INFO - GECKO(2036) | [Child 9668, Main Thread] WARNING: NS_ENSURE_SUCCESS(mStatus, this) failed with result 0x80004005: file z:/build/build/src/obj-firefox/dist/include\nsIURIMutator.h, line 489
12:59:02 INFO - GECKO(2036) | ++DOMWINDOW == 35 (0000019F4C444C00) [pid = 8472] [serial = 44] [outer = 0000019F4AADE010]
12:59:02 INFO - GECKO(2036) | [Child 9668, Main Thread] WARNING: No active window: file z:/build/build/src/js/xpconnect/src/XPCJSContext.cpp, line 662
12:59:02 INFO - GECKO(2036) | ++DOMWINDOW == 36 (0000019F57A38000) [pid = 8472] [serial = 45] [outer = 0000019F4AADE010]
12:59:02 INFO - GECKO(2036) | [Parent 8472, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x805D0021: file z:/build/build/src/modules/libjar/nsJARChannel.cpp, line 994
12:59:02 INFO - GECKO(2036) | [Child 7764, Main Thread] WARNING: No active window: file z:/build/build/src/js/xpconnect/src/XPCJSContext.cpp, line 662
12:59:02 INFO - GECKO(2036) | ++DOCSHELL 000002928048C800 == 2 [pid = 2320] [id = {59dd0340-8097-46d7-b2b6-dc073ce1d4ef}]
12:59:02 INFO - GECKO(2036) | ++DOMWINDOW == 10 (00000292837DA660) [pid = 2320] [serial = 140] [outer = 0000000000000000]
12:59:02 INFO - GECKO(2036) | ++DOMWINDOW == 11 (0000029280424800) [pid = 2320] [serial = 141] [outer = 00000292837DA660]
12:59:02 INFO - GECKO(2036) | ++DOMWINDOW == 37 (0000019F56219000) [pid = 8472] [serial = 46] [outer = 0000019F4AADE010]
12:59:03 INFO - GECKO(2036) | ++DOMWINDOW == 12 (0000029281A26800) [pid = 2320] [serial = 142] [outer = 00000292837DA660]
12:59:03 INFO - GECKO(2036) | [Child 2320, Main Thread] WARNING: No active window: file z:/build/build/src/js/xpconnect/src/XPCJSContext.cpp, line 662
12:59:03 INFO - GECKO(2036) | [Child 2320, Main Thread] WARNING: NS_ENSURE_SUCCESS(mStatus, this) failed with result 0x80004005: file z:/build/build/src/obj-firefox/dist/include\nsIURIMutator.h, line 489
12:59:03 INFO - GECKO(2036) | ++DOMWINDOW == 38 (0000019F57A37800) [pid = 8472] [serial = 47] [outer = 0000019F4AADE010]
12:59:03 INFO - GECKO(2036) | [Parent 8472, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x805D0021: file z:/build/build/src/modules/libjar/nsJARChannel.cpp, line 994
12:59:03 INFO - GECKO(2036) | Hit MOZ_CRASH(assertion failed: node.children.read().is_empty()) at servo\components\style\rule_tree\mod.rs:1648
12:59:03 INFO - GECKO(2036) | #01: static void core::ops::function::Fn::call<fn(core::panic::PanicInfo
),(core::panic::PanicInfo
)>( * , struct core::panic::PanicInfo ) [git:github.com/rust-lang/rust:src/libcore/ops/function.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e:69]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #02: void std::panicking::rust_panic_with_hook() [git:github.com/rust-lang/rust:src/libstd/panicking.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e:481]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #03: <NoType> std::panicking::begin_panic<str
>(struct str
, struct (str
, u32, u32) ) [git:github.com/rust-lang/rust:src/libstd/panicking.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e:408]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #04: void style::rule_tree::{{impl}}::drop(struct style::rule_tree::StrongRuleNode ) [servo/components/style/rule_tree/mod.rs:1648]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #05: void servo_arc::Arc<style::gecko_properties::ComputedValues>::drop_slow<style::gecko_properties::ComputedValues>() [servo/components/servo_arc/lib.rs:338]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #06: struct style::style_resolver::ResolvedElementStyles style::style_resolver::StyleResolverForElement<style::gecko::wrapper::GeckoElement>::resolve_style<style::gecko::wrapper::GeckoElement>(union core::option::Option<style::gecko_properties::ComputedValues
>, union core::option::Option<style::gecko_properties::ComputedValues
>) [servo/components/style/style_resolver.rs:242]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #07: struct style::style_resolver::ResolvedElementStyles style::style_resolver::StyleResolverForElement<style::gecko::wrapper::GeckoElement>::resolve_style_with_default_parents<style::gecko::wrapper::GeckoElement>() [servo/components/style/style_resolver.rs:269]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #08: style::matching::ChildCascadeRequirement style::traversal::compute_style<style::gecko::wrapper::GeckoElement>(struct style::traversal::PerLevelTraversalData *, struct style::context::StyleContext<style::gecko::wrapper::GeckoElement> *, struct style::gecko::wrapper::GeckoElement, struct style::data::ElementData *) [servo/components/style/traversal.rs:620]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #09: void style::gecko::traversal::{{impl}}::process_preorder<closure>(struct style::gecko::traversal::RecalcStyleOnly *, struct style::traversal::PerLevelTraversalData *, struct style::context::StyleContext<style::gecko::wrapper::GeckoElement> *, struct style::gecko::wrapper::GeckoNode, struct closure) [servo/components/style/gecko/traversal.rs:37]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #10: void std::panic::{{impl}}::call_once<(),closure>(struct std::panic::AssertUnwindSafe<closure>) [git:github.com/rust-lang/rust:src/libstd/panic.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e:309]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #11: void std::panicking::try::do_call<std::panic::AssertUnwindSafe<closure>,()>(unsigned char *) [git:github.com/rust-lang/rust:src/libstd/panicking.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e:295]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #12: void panic_abort::__rust_maybe_catch_panic() [git:github.com/rust-lang/rust:src/libpanic_abort/lib.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e:31]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #13: void rayon_core::job::{{impl}}::execute<closure>(struct rayon_core::job::HeapJob<closure> *) [third_party/rust/rayon-core/src/job.rs:156]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #14: void rayon_core::registry::WorkerThread::wait_until_cold<rayon_core::latch::CountLatch>(struct rayon_core::latch::CountLatch *) [third_party/rust/rayon-core/src/registry.rs:567]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #15: void rayon_core::registry::main_loop(struct crossbeam_deque::Deque<rayon_core::job::JobRef>, struct alloc::sync::Arc<rayon_core::registry::Registry>, unsigned __int64, bool) [third_party/rust/rayon-core/src/registry.rs:677]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #16: void std::panicking::try::do_call<std::panic::AssertUnwindSafe<closure>,()>(unsigned char *) [git:github.com/rust-lang/rust:src/libstd/panicking.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e:295]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #17: void panic_abort::__rust_maybe_catch_panic() [git:github.com/rust-lang/rust:src/libpanic_abort/lib.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e:31]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #18: static void core::ops::function::FnOnce::call_once<closure,()>(struct closure *) [git:github.com/rust-lang/rust:src/libcore/ops/function.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e:231]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #19: static void alloc::boxed::{{impl}}::call_once<(),FnBox<()>>() [git:github.com/rust-lang/rust:src/liballoc/boxed.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e:702]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #20: static void std::sys::windows::thread::{{impl}}::new::thread_start() [git:github.com/rust-lang/rust:src/libstd/sys/windows/thread.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e:48]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #21: KERNEL32.DLL + 0x13034
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #22: static void patched_BaseThreadInitThunk(int, void *, void ) [mozglue/build/WindowsDllBlocklist.cpp:618]
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | #23: ntdll.dll + 0x71461
12:59:03 INFO -
12:59:03 INFO - GECKO(2036) | --DOMWINDOW == 11 (000002928041EC00) [pid = 2320] [serial = 130] [outer = 0000000000000000] [url = about:blank]
12:59:03 INFO - GECKO(2036) | --DOMWINDOW == 10 (0000029280421C00) [pid = 2320] [serial = 132] [outer = 0000000000000000] [url = about:blank]
12:59:03 INFO - GECKO(2036) | --DOCSHELL 0000029280485800 == 1 [pid = 2320] [id = {dff98c22-33b2-4b86-8529-a061fd136afc}] [url = data:text/html, <input type='date'>]
12:59:03 INFO - GECKO(2036) | --DOMWINDOW == 9 (00000292837DA850) [pid = 2320] [serial = 133] [outer = 0000000000000000] [url = about:blank]
12:59:03 INFO - GECKO(2036) | --DOMWINDOW == 8 (00000292837DA280) [pid = 2320] [serial = 135] [outer = 0000000000000000] [url = about:blank]
12:59:03 INFO - GECKO(2036) | [GPU 7420, Main Thread] WARNING: Shutting down GPU process early due to a crash!: file z:/build/build/src/gfx/ipc/GPUParent.cpp, line 501
12:59:03 INFO - GECKO(2036) | Exiting due to channel error.
12:59:03 INFO - GECKO(2036) | Exiting due to channel error.
12:59:03 INFO - GECKO(2036) | Exiting due to channel error.
12:59:03 INFO - GECKO(2036) | Exiting due to channel error.
12:59:03 INFO - TEST-INFO | Main app process: exit 1
12:59:03 ERROR - TEST-UNEXPECTED-FAIL | ShutdownLeaks | process() called before end of test suite
12:59:03 INFO - Buffered messages logged at 12:59:01
12:59:03 INFO - Entering test bound test_datepicker_today
12:59:03 INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "data:text/html, <input type='date'>" line: 0}]
12:59:03 INFO - Buffered messages logged at 12:59:02
12:59:03 INFO - TEST-PASS | toolkit/content/tests/browser/browser_datetime_datepicker.js | "June 2019" == "June 2019" -
12:59:03 INFO - Leaving test bound test_datepicker_today
12:59:03 INFO - Entering test bound test_datepicker_open
12:59:03 INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "data:text/html, <input type="date" value="2016-12-15">" line: 0}]
12:59:03 INFO - TEST-PASS | toolkit/content/tests/browser/browser_datetime_datepicker.js | "December 2016" == "December 2016" -
12:59:03 INFO - TEST-PASS | toolkit/content/tests/browser/browser_datetime_datepicker.js | 2016-12 - ["27","28","29","30","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","1","2","3","4","5","6","7"] deepEqual ["27","28","29","30","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","1","2","3","4","5","6","7"] -
12:59:03 INFO - TEST-PASS | toolkit/content/tests/browser/browser_datetime_datepicker.js | 2016-12 classNames - [["weekend","outside"],["outside"],["outside"],["outside"],[],[],["weekend"],["weekend"],[],[],[],[],[],["weekend"],["weekend"],[],[],[],["selection"],[],["weekend"],["weekend"],[],[],[],[],[],["weekend"],["weekend"],[],[],[],[],[],["weekend"],["weekend","outside"],["outside"],["outside"],["outside"],["outside"],["outside"],["weekend","outside"]] deepEqual [["weekend","outside"],["outside"],["outside"],["outside"],[],[],["weekend"],["weekend"],[],[],[],[],[],["weekend"],["weekend"],[],[],[],["selection"],[],["weekend"],["weekend"],[],[],[],[],[],["weekend"],["weekend"],[],[],[],[],[],["weekend"],["weekend","outside"],["outside"],["outside"],["outside"],["outside"],["outside"],["weekend","outside"]] -
12:59:03 INFO - Leaving test bound test_datepicker_open
12:59:03 INFO - Entering test bound test_datepicker_prev_month_btn
12:59:03 INFO - Buffered messages logged at 12:59:03
12:59:03 INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "data:text/html, <input type="date" value="2016-12-15">" line: 0}]
12:59:03 INFO - Buffered messages finished
12:59:03 ERROR - TEST-UNEXPECTED-FAIL | toolkit/content/tests/browser/browser_datetime_datepicker.js | application terminated with exit code 1
12:59:03 INFO - runtests.py | Application ran for: 0:01:34.597000
12:59:03 INFO - zombiecheck | Reading PID log: c:\users\task_1560945313\appdata\local\temp\tmpqxnttfpidlog
12:59:03 INFO - ==> process 8472 launched child process 7420 ("Z:\task_1560945313\build\application\firefox\firefox.exe" -contentproc --channel="8472.0.1697316970\34044176" -parentBuildID 20190619112234 -prefsHandle 1920 -prefMapHandle 1916 -prefsLen 1 -prefMapSize 209084 -greomni "Z:\task_1560945313\build\application\firefox\omni.ja" -appomni "Z:\task_1560945313\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1560945313\build\application\firefox\browser" - 8472 "\.\pipe\gecko-crash-server-pipe.8472" 2020 gpu)
12:59:03 INFO - ==> process 8472 launched child process 9376 ("Z:\task_1560945313\build\application\firefox\firefox.exe" -contentproc --channel="8472.6.1292215859\278797002" -childID 1 -isForBrowser -prefsHandle 2780 -prefMapHandle 2784 -prefsLen 2068 -prefMapSize 209084 -parentBuildID 20190619112234 -greomni "Z:\task_1560945313\build\application\firefox\omni.ja" -appomni "Z:\task_1560945313\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1560945313\build\application\firefox\browser" - 8472 "\.\pipe\gecko-crash-server-pipe.8472" 2792 tab)
12:59:03 INFO - ==> process 8472 launched child process 7620 ("Z:\task_1560945313\build\application\firefox\firefox.exe" -contentproc --channel="8472.13.1955293603\1838699415" -childID 2 -isForBrowser -prefsHandle 2772 -prefMapHandle 2968 -prefsLen 2165 -prefMapSize 209084 -parentBuildID 20190619112234 -greomni "Z:\task_1560945313\build\application\firefox\omni.ja" -appomni "Z:\task_1560945313\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1560945313\build\application\firefox\browser" - 8472 "\.\pipe\gecko-crash-server-pipe.8472" 2716 tab)
12:59:03 INFO - ==> process 8472 launched child process 10080 ("Z:\task_1560945313\build\application\firefox\firefox.exe" -contentproc --channel="8472.20.1899284327\974653356" -childID 3 -isForBrowser -prefsHandle 3200 -prefMapHandle 2772 -prefsLen 2226 -prefMapSize 209084 -parentBuildID 20190619112234 -greomni "Z:\task_1560945313\build\application\firefox\omni.ja" -appomni "Z:\task_1560945313\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1560945313\build\application\firefox\browser" - 8472 "\.\pipe\gecko-crash-server-pipe.8472" 3176 tab)
12:59:03 INFO - ==> process 8472 launched child process 2320 ("Z:\task_1560945313\build\application\firefox\firefox.exe" -contentproc --channel="8472.27.2109300983\331518064" -childID 4 -isForBrowser -prefsHandle 4516 -prefMapHandle 4520 -prefsLen 10908 -prefMapSize 209084 -parentBuildID 20190619112234 -greomni "Z:\task_1560945313\build\application\firefox\omni.ja" -appomni "Z:\task_1560945313\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1560945313\build\application\firefox\browser" - 8472 "\.\pipe\gecko-crash-server-pipe.8472" 4524 tab)
12:59:03 INFO - ==> process 8472 launched child process 3732 ("Z:\task_1560945313\build\application\firefox\firefox.exe" -contentproc --channel="8472.34.2142569591\2084368835" -childID 5 -isForBrowser -prefsHandle 4408 -prefMapHandle 4464 -prefsLen 11008 -prefMapSize 209084 -parentBuildID 20190619112234 -greomni "Z:\task_1560945313\build\application\firefox\omni.ja" -appomni "Z:\task_1560945313\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1560945313\build\application\firefox\browser" - 8472 "\.\pipe\gecko-crash-server-pipe.8472" 4664 tab)
12:59:03 INFO - ==> process 8472 launched child process 9668 ("Z:\task_1560945313\build\application\firefox\firefox.exe" -contentproc --channel="8472.41.1969468407\2107504261" -childID 6 -isForBrowser -prefsHandle 4788 -prefMapHandle 4852 -prefsLen 11005 -prefMapSize 209084 -parentBuildID 20190619112234 -greomni "Z:\task_1560945313\build\application\firefox\omni.ja" -appomni "Z:\task_1560945313\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1560945313\build\application\firefox\browser" - 8472 "\.\pipe\gecko-crash-server-pipe.8472" 4664 tab)
12:59:03 INFO - ==> process 8472 launched child process 6928 ("Z:\task_1560945313\build\application\firefox\firefox.exe" -contentproc --channel="8472.48.1485962829\1155350287" -childID 7 -isForBrowser -prefsHandle 4828 -prefMapHandle 4988 -prefsLen 11005 -prefMapSize 209084 -parentBuildID 20190619112234 -greomni "Z:\task_1560945313\build\application\firefox\omni.ja" -appomni "Z:\task_1560945313\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1560945313\build\application\firefox\browser" - 8472 "\.\pipe\gecko-crash-server-pipe.8472" 5048 tab)
12:59:03 INFO - ==> process 8472 launched child process 6272 ("Z:\task_1560945313\build\application\firefox\firefox.exe" -contentproc --channel="8472.55.546708159\747465545" -childID 8 -isForBrowser -prefsHandle 5176 -prefMapHandle 5228 -prefsLen 11086 -prefMapSize 209084 -parentBuildID 20190619112234 -greomni "Z:\task_1560945313\build\application\firefox\omni.ja" -appomni "Z:\task_1560945313\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1560945313\build\application\firefox\browser" - 8472 "\.\pipe\gecko-crash-server-pipe.8472" 5212 tab)
12:59:03 INFO - ==> process 8472 launched child process 4376 ("Z:\task_1560945313\build\application\firefox\firefox.exe" -contentproc --channel="8472.62.1936661055\342642288" -childID 9 -isForBrowser -prefsHandle 5408 -prefMapHandle 5412 -prefsLen 11085 -prefMapSize 209084 -parentBuildID 20190619112234 -greomni "Z:\task_1560945313\build\application\firefox\omni.ja" -appomni "Z:\task_1560945313\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1560945313\build\application\firefox\browser" - 8472 "\.\pipe\gecko-crash-server-pipe.8472" 5420 tab)
12:59:03 INFO - ==> process 8472 launched child process 3096 ("Z:\task_1560945313\build\application\firefox\plugin-container.exe" --channel="8472.69.1623993968\2106570535" "C:\Users\task_1560945313\AppData\Local\Temp\tmpha_gd0.mozrunner\plugins\nptest.dll" "C:\Users\task_1560945313\AppData\LocalLow\Mozilla\Temp-{f33611d1-0302-4acb-b637-50a059d3ecfc}" "Z:\task_1560945313\AppData\Roaming\Adobe\" -greomni "Z:\task_1560945313\build\application\firefox\omni.ja" -appomni "Z:\task_1560945313\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1560945313\build\application\firefox\browser" - 8472 "\.\pipe\gecko-crash-server-pipe.8472" 5972 plugin)
12:59:03 INFO - ==> process 8472 launched child process 3764 ("Z:\task_1560945313\build\application\firefox\firefox.exe" -contentproc --channel="8472.73.1516093528\1710874630" -childID 10 -isForBrowser -prefsHandle 6196 -prefMapHandle 6248 -prefsLen 12137 -prefMapSize 209084 -parentBuildID 20190619112234 -greomni "Z:\task_1560945313\build\application\firefox\omni.ja" -appomni "Z:\task_1560945313\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1560945313\build\application\firefox\browser" - 8472 "\.\pipe\gecko-crash-server-pipe.8472" 4652 tab)
12:59:03 INFO - ==> process 8472 launched child process 7764 ("Z:\task_1560945313\build\application\firefox\firefox.exe" -contentproc --channel="8472.80.1010877213\744275401" -childID 11 -isForBrowser -prefsHandle 6188 -prefMapHandle 6136 -prefsLen 12137 -prefMapSize 209084 -parentBuildID 20190619112234 -greomni "Z:\task_1560945313\build\application\firefox\omni.ja" -appomni "Z:\task_1560945313\build\application\firefox\browser\omni.ja" -appdir "Z:\task_1560945313\build\application\firefox\browser" - 8472 "\.\pipe\gecko-crash-server-pipe.8472" 6200 tab)
12:59:03 INFO - zombiecheck | Checking for orphan process with PID: 9376
12:59:03 INFO - zombiecheck | Checking for orphan process with PID: 10080
12:59:03 INFO - zombiecheck | Checking for orphan process with PID: 7620
12:59:03 INFO - zombiecheck | Checking for orphan process with PID: 6272
12:59:03 INFO - zombiecheck | Checking for orphan process with PID: 2320
12:59:03 INFO - zombiecheck | Checking for orphan process with PID: 3096
12:59:03 INFO - zombiecheck | Checking for orphan process with PID: 3764
12:59:03 INFO - zombiecheck | Checking for orphan process with PID: 3732
12:59:03 INFO - zombiecheck | Checking for orphan process with PID: 7764
12:59:03 INFO - zombiecheck | Checking for orphan process with PID: 4376
12:59:03 INFO - zombiecheck | Checking for orphan process with PID: 9668
12:59:03 INFO - zombiecheck | Checking for orphan process with PID: 7420
12:59:03 INFO - zombiecheck | Checking for orphan process with PID: 6928
12:59:03 INFO - mozcrash Copy/paste: Z:\task_1560945313\build\win32-minidump_stackwalk.exe c:\users\task_1560945313\appdata\local\temp\tmpha_gd0.mozrunner\minidumps\8d3a54cf-014f-46f1-855a-568b683258fa.dmp Z:\task_1560945313\build\symbols
12:59:16 INFO - mozcrash Saved minidump as Z:\task_1560945313\build\blobber_upload_dir\8d3a54cf-014f-46f1-855a-568b683258fa.dmp
12:59:16 INFO - mozcrash Saved app info as Z:\task_1560945313\build\blobber_upload_dir\8d3a54cf-014f-46f1-855a-568b683258fa.extra
12:59:16 INFO - PROCESS-CRASH | toolkit/content/tests/browser/browser_datetime_datepicker.js | application crashed [@ style::rule_tree::{{impl}}::drop(struct style::rule_tree::StrongRuleNode )]
12:59:16 INFO - Crash dump filename: c:\users\task_1560945313\appdata\local\temp\tmpha_gd0.mozrunner\minidumps\8d3a54cf-014f-46f1-855a-568b683258fa.dmp
12:59:16 INFO - Operating system: Windows NT
12:59:16 INFO - 10.0.17134
12:59:16 INFO - CPU: amd64
12:59:16 INFO - family 6 model 85 stepping 4
12:59:16 INFO - 8 CPUs
12:59:16 INFO -
12:59:16 INFO - GPU: UNKNOWN
12:59:16 INFO -
12:59:16 INFO - Crash reason: EXCEPTION_BREAKPOINT
12:59:16 INFO - Crash address: 0x7ffa0b94b603
12:59:16 INFO - Process uptime: 94 seconds
12:59:16 INFO -
12:59:16 INFO - Thread 36 (crashed)
12:59:16 INFO - 0 xul.dll!GeckoCrash [nsAppRunner.cpp:0041316d1b27102c11af7558f5aa230605ac767e : 5168 + 0x23]
12:59:16 INFO - rax = 0x00007ffa31ea1798 rdx = 0x00007ffa46afa640
12:59:16 INFO - rcx = 0x0000000000000000 rbx = 0x00007ffa0e7e1900
12:59:16 INFO - rsi = 0x000000174fefe352 rdi = 0x0000000000000670
12:59:16 INFO - rbp = 0x0000000000000000 rsp = 0x000000174fefe2f0
12:59:16 INFO - r8 = 0x000000174fef8448 r9 = 0x000000174fef9a60
12:59:16 INFO - r10 = 0x0000000000000000 r11 = 0x000000174fef9970
12:59:16 INFO - r12 = 0x000000174fefe898 r13 = 0x0000019f4fb1a1a0
12:59:16 INFO - r14 = 0x00007ffa0e7e2690 r15 = 0x0000000000000031
12:59:16 INFO - rip = 0x00007ffa0b94b603
12:59:16 INFO - Found by: given as instruction pointer in context
12:59:16 INFO - 1 xul.dll!static void gkrust_shared::panic_hook(struct core::panic::PanicInfo ) [lib.rs:0041316d1b27102c11af7558f5aa230605ac767e : 244 + 0x7]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174fefe330 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0c1bdf1e
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 2 xul.dll!static void core::ops::function::Fn::call<fn(core::panic::PanicInfo
),(core::panic::PanicInfo
)>( * , struct core::panic::PanicInfo ) [function.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e : 69 + 0xc]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174fefe790 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0c1bd24c
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 3 xul.dll!void std::panicking::rust_panic_with_hook() [panicking.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e : 478 + 0x6]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174fefe7c0 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0c8d5675
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 4 xul.dll!<NoType> std::panicking::begin_panic<str
>(struct str
, struct (str
, u32, u32) ) [panicking.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e : 408 + 0x1e]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174fefe870 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0ce7cae5
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 5 xul.dll!void style::rule_tree::{{impl}}::drop(struct style::rule_tree::StrongRuleNode ) [mod.rs:0041316d1b27102c11af7558f5aa230605ac767e : 1648 + 0x20]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174fefe8b0 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0ccd9a73
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 6 xul.dll!void servo_arc::Arc<style::gecko_properties::ComputedValues>::drop_slow<style::gecko_properties::ComputedValues>() [lib.rs:0041316d1b27102c11af7558f5aa230605ac767e : 338 + 0x6a4]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174fefe990 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0cc1d2c4
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 7 xul.dll!struct style::style_resolver::ResolvedElementStyles style::style_resolver::StyleResolverForElement<style::gecko::wrapper::GeckoElement>::resolve_style<style::gecko::wrapper::GeckoElement>(union core::option::Option<style::gecko_properties::ComputedValues
>, union core::option::Option<style::gecko_properties::ComputedValues
>) [style_resolver.rs:0041316d1b27102c11af7558f5aa230605ac767e : 242 + 0xf2]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174fefebc0 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0cc6cef2
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 8 xul.dll!struct style::style_resolver::ResolvedElementStyles style::style_resolver::StyleResolverForElement<style::gecko::wrapper::GeckoElement>::resolve_style_with_default_parents<style::gecko::wrapper::GeckoElement>() [style_resolver.rs:0041316d1b27102c11af7558f5aa230605ac767e : 269 + 0xfe]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174fefec90 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0cc6d44f
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 9 xul.dll!style::matching::ChildCascadeRequirement style::traversal::compute_style<style::gecko::wrapper::GeckoElement>(struct style::traversal::PerLevelTraversalData *, struct style::context::StyleContext<style::gecko::wrapper::GeckoElement> *, struct style::gecko::wrapper::GeckoElement, struct style::data::ElementData *) [traversal.rs:0041316d1b27102c11af7558f5aa230605ac767e : 617 + 0x8]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174fefecf0 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0cd7328a
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 10 xul.dll!void style::gecko::traversal::{{impl}}::process_preorder<closure>(struct style::gecko::traversal::RecalcStyleOnly *, struct style::traversal::PerLevelTraversalData *, struct style::context::StyleContext<style::gecko::wrapper::GeckoElement> *, struct style::gecko::wrapper::GeckoNode, struct closure) [traversal.rs:0041316d1b27102c11af7558f5aa230605ac767e : 37 + 0x18d]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174fefeee0 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0cc685f6
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 11 xul.dll!void std::panic::{{impl}}::call_once<(),closure>(struct std::panic::AssertUnwindSafe<closure>) [panic.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e : 309 + 0x286]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174feff010 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0cc9b21c
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 12 xul.dll!void std::panicking::try::do_call<std::panic::AssertUnwindSafe<closure>,()>(unsigned char *) [panicking.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e : 293 + 0x16]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174feff640 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0cbbb6a6
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 13 xul.dll!void panic_abort::__rust_maybe_catch_panic() [lib.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e : 29 + 0x5]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174feff730 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0c95c33c
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 14 xul.dll!void rayon_core::job::{{impl}}::execute<closure>(struct rayon_core::job::HeapJob<closure> *) [job.rs:0041316d1b27102c11af7558f5aa230605ac767e : 156 + 0xa1]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174feff760 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0cbfb3a5
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 15 xul.dll!void rayon_core::registry::WorkerThread::wait_until_cold<rayon_core::latch::CountLatch>(struct rayon_core::latch::CountLatch *) [registry.rs:0041316d1b27102c11af7558f5aa230605ac767e : 567 + 0x5]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174feff900 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0d010aee
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 16 xul.dll!void rayon_core::registry::main_loop(struct crossbeam_deque::Deque<rayon_core::job::JobRef>, struct alloc::sync::Arc<rayon_core::registry::Registry>, unsigned __int64, bool) [registry.rs:0041316d1b27102c11af7558f5aa230605ac767e : 674 + 0x8]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174feff9d0 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0d01126c
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 17 xul.dll!void std::panicking::try::do_call<std::panic::AssertUnwindSafe<closure>,()>(unsigned char *) [panicking.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e : 293 + 0x1b]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174feffad0 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0d4b739f
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 18 xul.dll!void panic_abort::__rust_maybe_catch_panic() [lib.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e : 29 + 0x5]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174feffb20 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0c95c33c
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 19 xul.dll!static void core::ops::function::FnOnce::call_once<closure,()>(struct closure *) [function.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e : 231 + 0x6a]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174feffb50 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0d33ce0a
12:59:16 INFO - Found by: call frame info
12:59:16 INFO - 20 xul.dll!static void alloc::boxed::{{impl}}::call_once<(),FnBox<()>>() [boxed.rs:3c235d5600393dfe6c36eeed34042efad8d4f26e : 702 + 0x3c]
12:59:16 INFO - rbx = 0x00007ffa0e7e1900 rbp = 0x0000000000000000
12:59:16 INFO - rsp = 0x000000174feffbd0 r12 = 0x000000174fefe898
12:59:16 INFO - r13 = 0x0000019f4fb1a1a0 r14 = 0x00007ffa0e7e2690
12:59:16 INFO - r15 = 0x0000000000000031 rip = 0x00007ffa0c8b2f67
12:59:16 INFO - Found by: call frame info

Type: -- → defect

The priority flag is not set for this bug.
:hiro, could you have a look please?

For more information, please visit auto_nag documentation.

Flags: needinfo?(hikezoe.birchill)
Flags: needinfo?(hikezoe.birchill)
Priority: -- → P3

This should be fixed by bug 1607553.

Status: NEW → RESOLVED
Closed: 1 year ago
Resolution: --- → DUPLICATE
Duplicate of bug: 1607553
You need to log in before you can comment on or make changes to this bug.